package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.core.PlatformCoreActivator;
import org.eclipse.core.runtime.Plugin;
import org.osgi.service.prefs.Preferences;

public class PatchUtils {
  private static String CURRENT_PATCHED_FLAG = "platform.current.state";
  
  private static String PLATFORM_PATCHED_FLAG = "platform.patched";
  
  public static void setPlatformPatchedFlag(boolean state) {
    Preferences node = getPreferences();
    try {
      if (node != null) {
        node.put(CURRENT_PATCHED_FLAG, String.valueOf(state));
        node.flush();
      } 
    } catch (Exception e) {
      PlatformCoreActivator.getLogger((Plugin)PlatformCoreActivator.getDefault())
        .logError(e.getMessage(), e);
    } 
  }
  
  public static boolean isPlatformPatched() {
    Preferences node = getPreferences();
    try {
      if (node != null) {
        String state = node.get(CURRENT_PATCHED_FLAG, "false");
        return Boolean.valueOf(state).booleanValue();
      } 
    } catch (Exception e) {
      PlatformCoreActivator.getLogger((Plugin)PlatformCoreActivator.getDefault())
        .logError(e.getMessage(), e);
    } 
    return true;
  }
  
  private static Preferences getPreferences() {
    return PlatformCoreActivator.getDefault().getPreferenceNode("com.vendor.platform.core", PLATFORM_PATCHED_FLAG);
  }
}
